# Class RowCells

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ParameterComponent
org.a11y.brlapi.RowCells

public class RowCells extends ParameterComponent

## Field Summary

### Fields inherited from class ParameterComponent

`DEFAULT_SUBPARAM`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`RowCells(byte[] bytes)`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getCell(int index)`
`int`
`getSize()`
`boolean`
`isDefined(int index)`
`String`
`toString()`

### Methods inherited from class ParameterComponent

`asBitMask, asBoolean, asBooleanArray, asByte, asByteArray, asDisplaySize, asDots, asDots, asInt, asIntArray, asLong, asLongArray, asRowCells, asShort, asShortArray, asString, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RowCells

public RowCells(byte[] bytes)

## Method Details

### getSize

public int getSize()

### isDefined

public boolean isDefined(int index)

### getCell

public byte getCell(int index)

### toString

public String toString()

Overrides:
  `toString` in class `Object`